View Issue Details

IDProjectCategoryView StatusLast Update
0002498Part[FreeCAD] Featurepublic2017-08-11 10:58
ReporternormandcAssigned Towmayer 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version[FreeCAD] 0.17 
Summary0002498: Part Compound: add or remove objects
DescriptionMake it possible to add or remove objects from a Part Compound by drag&drop in the Model tree, exactly like Part Fuse.
Steps To ReproduceSuggested typical work flow to remove an object from a compound:
1. Create a Part Compound from Box, Sphere, Cylinder, Cone...
2. Click on the arrow before the "Compound" label in the Model tree to reveal its content
3. Pick "Cone" and drag it off over the document label, release left mouse button
4. Cone is removed from underneath Compound and placed at the bottom of the Model tree.
TagsPart

Relationships

related to 0003136 closedwmayer add element to existing compound 

Activities

silopolis

2017-08-05 06:00

reporter   ~0009876

Hi, need for this enhancement was again reported in #3136... which I second heavily ! :)

wmayer

2017-08-11 10:58

administrator   ~0009887

https://github.com/FreeCAD/FreeCAD/commit/d84c2d354447dbbcbbbd4915ec4c95a0c9fe79e1

Issue History

Date Modified Username Field Change
2016-04-09 19:53 normandc New Issue
2017-05-07 14:59 Kunda1 Tag Attached: Part
2017-05-10 19:57 Kunda1 Project FreeCAD => Part
2017-08-05 06:00 silopolis Note Added: 0009876
2017-08-05 13:09 Kunda1 Relationship added related to 0003136
2017-08-11 10:58 wmayer Assigned To => wmayer
2017-08-11 10:58 wmayer Status new => closed
2017-08-11 10:58 wmayer Resolution open => fixed
2017-08-11 10:58 wmayer Fixed in Version => 0.17
2017-08-11 10:58 wmayer Note Added: 0009887